classification
Title: BaseHTTPServer writing strings to bytes interface
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: janssen Nosy List: gvanrossum, janssen
Priority: normal Keywords: patch

Created on 2007-10-28 00:06 by janssen, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
a janssen, 2007-10-28 00:06
Messages (4)
msg56868 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-10-28 00:06
A number of places in the BaseHTTPServer got missed when converting 
between bytes and strings.  Here's a patch to fix that.
msg56919 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-10-29 17:54
Looks good. You can check this in yourself right?
msg56941 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-10-29 23:08
Will do.

On 10/29/07, Guido van Rossum <report@bugs.python.org> wrote:
>
> Guido van Rossum added the comment:
>
> Looks good. You can check this in yourself right?
>
> ----------
> assignee:  -> janssen
> nosy: +gvanrossum
> resolution:  -> accepted
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue1347>
> __________________________________
>
msg56970 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-10-30 18:15
Fixed in rev 58718
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-10-30 18:15:00janssensetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg56970
keywords: + py3k
2007-10-29 23:08:48janssensetmessages: + msg56941
2007-10-29 17:54:34gvanrossumsetassignee: janssen
resolution: accepted
messages: + msg56919
nosy: + gvanrossum
2007-10-28 07:23:22loewissetkeywords: + patch
2007-10-28 00:06:36janssencreate